<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Distributors extends CI_Controller {

    public function __construct() {
        parent::__construct();
        $this->user_login();
        $this->load->model('Distributors_model');
        $this->load->model('Carrera_model');
    }

    public function index() {
//        echo '<pre>';
//        print_r($this->session->all_userdata());
//        exit();
        $this->load->helper('url');
        $data['portals'] = $this->db->get('portal')->result();
        //  $data['list'] = $this->Carrera_model->get_rows();
        $data['page'] = 'distributors';
        $data['lang'] = 'en';
        $data['locale'] = 'en';
        $data['section'] = 'index';
        $data['sub_section'] = 'index';

        $this->load->view('main', $data);
    }

    public function get_courses() {

        $tbl_carrera = $this->db->get('tbl_carrera')->result_array();
        echo json_encode($tbl_carrera);
    }

    public function ajax_list() {

        $list = $this->Distributors_model->get_datatables();
        $data = array();
        $no = $_POST['start'];
        
//        print_r($list);
//        exit();
        
        
        foreach ($list as $estudiante) {
            if ($estudiante->dist_id!=1) {

                $query = $this->db->query('SELECT * FROM devices where distributor_id="' . $estudiante->dist_id . '"');

                $no++;
                $row = array();
                $row[] = '<input type="checkbox" class="data-check" value="' . $estudiante->dist_id . '" onclick="showBottomDelete()"/>';
                $row[] = $estudiante->dist_name;
                $row[] = $this->get_portal_name($estudiante->dist_id);
                $row[] = $this->get_portal_shortcode($estudiante->dist_id);
                
                $row[] = $query->num_rows();
//            $row[] = $status;

                $row[] = '<a class="btn btn-sm btn-primary" href="javascript:void()" title="Edit" onclick="editDistributor(' . "'" . $estudiante->dist_id . "'" . ')"><i class="glyphicon glyphicon-pencil"></i> Edit</a>
                <a class="btn btn-sm btn-danger" href="javascript:void()" title="Hapus" onclick="deleteEstudiante(' . "'" . $estudiante->dist_id . "'" . ')"><i class="glyphicon glyphicon-trash"></i> Delete</a>';
                $data[] = $row;
            }
        }
        $output = array(
            "draw" => $_POST['draw'],
            "recordsTotal" => $this->Distributors_model->count_all(),
            "recordsFiltered" => $this->Distributors_model->count_filtered(),
            "data" => $data,
        );
        //output to json format
        echo json_encode($output);
    }

    public function ajax_edit($id) {
        //  alert('i am here');
        $data = $this->Distributors_model->get_by_id($id);
        echo json_encode($data);
    }
    
    
    public function get_portal_name($id){
        
         $record=$this->db->get_where('portal',array('dist_id'=>$id))->row();
         if($record){
              return $record->portal_name;
         }else{
             return 'No portal assigned';
         }
       
        
    }
    
     public function get_portal_shortcode($id){
        
         $record=$this->db->get_where('portal',array('dist_id'=>$id))->row();
         if($record){
              return $record->shortcode;
         }else{
             return 'No shortcode assigned';
         }
       
        
    }

    public function ajax_add() {
        $this->_validate();
        $data = array(
            'dist_name' => $this->input->post('dist_name')
//            'portal' => $this->input->post('portal')
//            'block' => $this->input->post('status')
//            'estu_cedula' => $this->input->post('estu_cedula'),
//            'carr_id' => $this->input->post('carr_nombre')
        );
        $insert = $this->Distributors_model->save($data);
        echo json_encode(array("status" => TRUE));
    }

    public function ajax_update() {
        $this->_validate();
        $data = array(
            'dist_name' => $this->input->post('dist_name')
//            'portal' => $this->input->post('portal')
//            'block' => $this->input->post('status')
//            'estu_cedula' => $this->input->post('estu_cedula'),
//            'carr_id' => $this->input->post('carr_nombre')
        );
        $this->Distributors_model->update(array('dist_id' => $this->input->post('dist_id')), $data);
        echo json_encode(array("status" => TRUE));
    }

    public function ajax_delete($id) {
        $this->Distributors_model->delete_by_id($id);
        echo json_encode(array("status" => TRUE));
    }

    public function ajax_list_delete() {
        $list_id = $this->input->post('id');
        foreach ($list_id as $id) {
            $this->Distributors_model->delete_by_id($id);
        }
        echo json_encode(array("status" => TRUE));
    }

    private function _validate() {
        $data = array();
        $data['error_string'] = array();
        $data['inputerror'] = array();
        $data['status'] = TRUE;

        if ($this->input->post('dist_name') == '') {
            $data['inputerror'][] = 'dist_name';
            $data['error_string'][] = 'First name is required';
            $data['status'] = FALSE;
        } else {

//            if (!$this->_validate_string($this->input->post('dist_name'))) {
//                $data['inputerror'][] = 'dist_name';
//                $data['error_string'][] = 'Invalid value';
//                $data['status'] = FALSE;
//            }
        }

//        if ($this->input->post('portal') == '') {
//            $data['inputerror'][] = 'portal';
//            $data['error_string'][] = 'First lastname is required';
//            $data['status'] = FALSE;
//        } else {
//
//            if (!$this->_validate_string($this->input->post('portal'))) {
//                $data['inputerror'][] = 'portal';
//                $data['error_string'][] = 'Invalid value';
//                $data['status'] = FALSE;
//            }
//        }
//        if ($this->input->post('estu_cedula') == '') {
//            $data['inputerror'][] = 'estu_cedula';
//            $data['error_string'][] = 'DNI is required';
//            $data['status'] = FALSE;
//        } else {
//
//            if (!$this->_validate_number($this->input->post('estu_cedula'))) {
//                $data['inputerror'][] = 'estu_cedula';
//                $data['error_string'][] = 'Invalid value';
//                $data['status'] = FALSE;
//            }
//        }
//        if ($this->input->post('carr_nombre') == '') {
//            $data['inputerror'][] = 'carr_nombre';
//            $data['error_string'][] = 'You should select a course ';
//            $data['status'] = FALSE;
//        }

        if ($data['status'] === FALSE) {
            echo json_encode($data);
            exit();
        }
    }

    private function _validate_string($string) {
        $allowed = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
        for ($i = 0; $i < strlen($string); $i++) {
            if (strpos($allowed, substr($string, $i, 1)) === FALSE) {
                return FALSE;
            }
        }

        return TRUE;
    }

    private function _validate_number($string) {
        $allowed = "0123456789";
        for ($i = 0; $i < strlen($string); $i++) {
            if (strpos($allowed, substr($string, $i, 1)) === FALSE) {
                return FALSE;
            }
        }

        return TRUE;
    }

    function user_login() {

        $login_status = $this->session->userdata('logged_in');
        if ($login_status != 1) {
            redirect('login');
        }
        // print_r($this->session->userdata('logged_in'));
    }

    function test() {

        $this->load->view('pages/test');
    }

}
