<?php

class common {
    
    public static $admin_type = 0;
    public static $agent_type = 0;
    
    public static function init_type() {
        global $admin_type;
        $CI = &get_instance();
        if ($admin_type == 0) {
            $query = $CI->db->query("select id from groups where name='admin'");
            $result = $query->result_array();
            $admin_type = $result[0]['id'];
            log_message('info', 'admin type: ' . $admin_type);
        }
        global $agent_type;
        if ($agent_type == 0) {
            $query = $CI->db->query("select id from groups where name='agent'");
            $result = $query->result_array();
            $agent_type = $result[0]['id'];
            log_message('info', 'agent type: ' . $agent_type);
        }
    }

    public static function redirect() {
        $CI = & get_instance();
        $uri = $CI->session->userdata('cur_uri');
        if ($uri == '')
            $uri = 'home';
        redirect($uri);
    }

    public static function track_uri() {
        $CI = & get_instance();
        $uri = $CI->uri->uri_string();
        $CI->session->set_userdata('cur_uri', $uri);
    }

    public static function is_logged_in() {
        $CI = & get_instance();
        if ($CI->session->userdata('logged_in')) {
            return true;
        } else {
            return false;
        }
    }

    public static function is_admin_logged() {
        $CI = & get_instance();
        global $admin_type;
        if ($CI->session->userdata('logged_in') && $CI->session->userdata('group_id') == $admin_type) {
            return true;
        } else {
            return false;
        }
    }

    public static function is_user_logged() {
        $CI = & get_instance();
        if ($CI->session->userdata('logged_in')) {
            return true;
        } else {
            return false;
        }
    }
    
    public static function logged_in($username) {
        $CI = & get_instance();
        $CI->session->set_userdata('logged_in', $username);
    }
    
    public static function logged_out() {
        $CI = & get_instance();
        $CI->session->unset_userdata('logged_in');
    }

    public static function is_logged() {

        $CI = & get_instance();
        if (!$CI->session->userdata('logged_in')) {
            redirect('login');
        }
    }

    public static function get_settings_data() {
        $data = null;
        $rows = sql::rows('settings');
        if (count($rows) > 0) {
            foreach ($rows as $row) {
                $data[$row['key_flag']] = $row['key_value'];
            }
        }
        return $data;
    }

    public static function pr($arr=array()) {
        if (is_array($arr)) {
            echo '<pre>';
            print_r($arr);
            echo '<pre>';
        }
    }

    public static function sending_mail($from_name, $from_email, $to_email, $subject, $msg_content) {
        $CI = & get_instance();
        $CI->load->library('email');
        $config['protocol'] = 'sendmail';
        $config['mailpath'] = '/usr/sbin/sendmail';
        $config['charset'] = 'utf-8';
        $config['wordwrap'] = TRUE;
        $config['mailtype'] = 'html';

        $CI->email->initialize($config);

        $CI->email->from('info@youstar.com', $from_name);
        $CI->email->to($to_email);
        $CI->email->subject($subject);
        $CI->email->message($msg_content);
        $CI->email->send();
    }

    public static function nav_menu_link($nav_array) {
        if (common::is_admin())
            $home = site_url('myaccount/dashboard');
        elseif (common::is_agent())
            $home = site_url('agent_account/dashboard');
        if (is_array($nav_array)) {
            $link.="<li><a href='" . $home . "'>" . '<i class="icon-home"></i>' . "</a> <span class='divider'>&nbsp;</span></li> ";
            foreach ($nav_array as $nav) {
                if ($nav[url] != '') {
                    $link.="<li><a href='" . $nav[url] . "'>$nav[title]</a> <span class='divider'>&nbsp;</span></li>";
                } else {
                    $link.="<li>" . $nav['title'] . "<span class='divider-last'>&nbsp;</span></li>";
                }
            }
        }
        return $link;
    }

    public static function is_agent() {
        $CI = &get_instance();
        global $agent_type;
        if ($CI->session->userdata('group_id') == $agent_type) {
            return true;
        }
        return false;
    }

    public static function is_admin() {
        $CI = &get_instance();
        global $admin_type;
        log_message('info', 'admin type: ' . $admin_type . '  group_id: ' . $CI->session->userdata('group_id'));
        if ($CI->session->userdata('group_id') == $admin_type) {
            return true;
        }
        return false;
    }

    public static function get_country($sel='') {
        $country_list = array("Afghanistan", "Albania", "Algeria", "Andorra", "Angola", "Antigua and Barbuda", "Argentina", "Armenia", "Australia", "Austria", "Azerbaijan", "Bahamas", "Bahrain", "Bangladesh", "Barbados", "Belarus", "Belgium", "Belize", "Benin", "Bhutan", "Bolivia", "Bosnia and Herzegovina", "Botswana", "Brazil", "Brunei", "Bulgaria", "Burkina Faso", "Burundi", "Cambodia", "Cameroon", "Canada", "Cape Verde", "Central African Republic", "Chad", "Chile", "China", "Colombi", "Comoros", "Congo (Brazzaville)", "Congo", "Costa Rica", "Cote d'Ivoire", "Croatia", "Cuba", "Cyprus", "Czech Republic", "Denmark", "Djibouti", "Dominica", "Dominican Republic", "East Timor (Timor Timur)", "Ecuador", "Egypt", "El Salvador", "Equatorial Guinea", "Eritrea", "Estonia", "Ethiopia", "Fiji", "Finland", "France", "Gabon", "Gambia, The", "Georgia", "Germany", "Ghana", "Greece", "Grenada", "Guatemala", "Guinea", "Guinea-Bissau", "Guyana", "Haiti", "Honduras", "Hungary", "Iceland", "India", "Indonesia", "Iran", "Iraq", "Ireland", "Israel", "Italy", "Jamaica", "Japan", "Jordan", "Kazakhstan", "Kenya", "Kiribati", "Korea, North", "Korea, South", "Kuwait", "Kyrgyzstan", "Laos", "Latvia", "Lebanon", "Lesotho", "Liberia", "Libya", "Liechtenstein", "Lithuania", "Luxembourg", "Macedonia", "Madagascar", "Malawi", "Malaysia", "Maldives", "Mali", "Malta", "Marshall Islands", "Mauritania", "Mauritius", "Mexico", "Micronesia", "Moldova", "Monaco", "Mongolia", "Morocco", "Mozambique", "Myanmar", "Namibia", "Nauru", "Nepa", "Netherlands", "New Zealand", "Nicaragua", "Niger", "Nigeria", "Norway", "Oman", "Pakistan", "Palau", "Panama", "Papua New Guinea", "Paraguay", "Peru", "Philippines", "Poland", "Portugal", "Qatar", "Romania", "Russia", "Rwanda", "Saint Kitts and Nevis", "Saint Lucia", "Saint Vincent", "Samoa", "San Marino", "Sao Tome and Principe", "Saudi Arabia", "Senegal", "Serbia and Montenegro", "Seychelles", "Sierra Leone", "Singapore", "Slovakia", "Slovenia", "Solomon Islands", "Somalia", "South Africa", "Spain", "Sri Lanka", "Sudan", "Suriname", "Swaziland", "Sweden", "Switzerland", "Syria", "Taiwan", "Tajikistan", "Tanzania", "Thailand", "Togo", "Tonga", "Trinidad and Tobago", "Tunisia", "Turkey", "Turkmenistan", "Tuvalu", "Uganda", "Ukraine", "United Arab Emirates", "United Kingdom", "United States", "Uruguay", "Uzbekistan", "Vanuatu", "Vatican City", "Venezuela", "Vietnam", "Yemen", "Zambia", "Zimbabwe");
        $opt.="<option value='' >--Select Country--</option>";
        for ($i = 0; $i < count($country_list); $i++) {
            if ($country_list[$i] == $sel) {
                $opt.="<option value='$country_list[$i]' selected='selected'>$country_list[$i]</option>";
            } else {
                $opt.="<option value='$country_list[$i]'>$country_list[$i]</option>";
            }
        }
        return $opt;
    }

    public static function get_agent_list($sel='') {
        $con = "";
        $rows = sql::rows("user", "status=1 and group_id=2  order by username asc");
        //echo $this->db->last_query();exit;
        if (count($rows) > 0) {
            foreach ($rows as $l) {
                if ($sel == $l['id']) {
                    $str.="<option  value='" . $l['id'] . "' selected>" . $l['username'] . "</option>";
                } else {
                    $str.="<option  value='" . $l['id'] . "' >" . $l['username'] . "</option>";
                }
            }
        }
        return $str;
    }

    public static function get_category_list($sel='') {
        $con = "";
        $rows = sql::rows("categories", "status='publish'");
        //echo $this->db->last_query();exit;
        if (count($rows) > 0) {
            foreach ($rows as $l) {
                if ($sel == $l['id']) {
                    $str.="<option  value='" . $l['id'] . "' selected>" . $l['name'] . "</option>";
                } else {
                    $str.="<option  value='" . $l['id'] . "' >" . $l['name'] . "</option>";
                }
            }
        }
        return $str;
    }

    public static function feedback() {
        $CI = &get_instance();
        $con = "";
        $agent_id = $CI->session->userdata("user_id");
        $last_login = $CI->session->userdata("last_login");
        if (common::is_agent())
            $con.="and agent_id='$agent_id'";
        $con.= "  and feedback_time>'$last_login'";
       // echo "select feedback.*,system_user.username from feedback left join system_user on system_user.pk_id=feedback.member_id where 1 $con";exit;
        $query = $CI->db->query("select feedback.*,system_user.username from youstar.feedback left join youstar.system_user on system_user.pk_id=feedback.member_id where 1 $con");
        return $query->result_array();
    }

}
?>
