
var getUrl = window.location;
var baseUrl = getUrl.protocol + "//" + getUrl.host + "/" + getUrl.pathname.split('/')[1] + "/";
var save_method; //for save method string
var table;

$(document).ready(function () {

    //datatables
    table = $('#distributors_table').DataTable({

        "processing": true, //Feature control the processing indicator.
        "serverSide": true, //Feature control DataTables' server-side processing mode.
        "order": [], //Initial no order.

        // Load data for the table's content from an Ajax source
        "ajax": {
            "url": baseUrl + "index.php/distributors/ajax_list",
            "type": "POST"
        },

        //Set column definition initialisation properties.
        "columnDefs": [
            {
                "targets": [0], //first column
                "orderable": false, //set not orderable
            },
            {
                "targets": [-1], //last column
                "orderable": false, //set not orderable
            },
        ],

    });
    //set input/textarea/select event when change value, remove class error and remove text help block
    $("input").change(function () {
        $(this).parent().parent().removeClass('has-error');
        $(this).next().empty();
    });
    $("textarea").change(function () {
        $(this).parent().parent().removeClass('has-error');
        $(this).next().empty();
    });
    $("select").change(function () {
        $(this).parent().parent().removeClass('has-error');
        $(this).next().empty();
    });

    //check all
    $("#check-all").click(function () {
        $(".data-check").prop('checked', $(this).prop('checked'));
        showBottomDelete();
    });



});

function showBottomDelete()
{
    var total = 0;

    $('.data-check').each(function ()
    {
        total += $(this).prop('checked');
    });

    if (total > 0)
        $('#deleteList').show();
    else
        $('#deleteList').hide();
}

function addDistributor()
{
    save_method = 'add';
    $('#form')[0].reset(); // reset form on modals
    $('.form-group').removeClass('has-error'); // clear error class
    $('.help-block').empty(); // clear error string
    $('#modal_form').modal('show'); // show bootstrap modal
//    $('.modal-title').text('Add Distributor'); // Set Title to Bootstrap modal title
}

function editDistributor(id)
{
    save_method = 'update';
    $('#form')[0].reset(); // reset form on modals
    $('.form-group').removeClass('has-error'); // clear error class
    $('.help-block').empty(); // clear error string

    //Ajax Load data from ajax
    $.ajax({
        url: baseUrl + "index.php/distributors/ajax_edit/" + id,
        type: "GET",
        dataType: "JSON",
        success: function (data)
        {

            $('[name="dist_id"]').val(data.dist_id);
            $('[name="dist_name"]').val(data.dist_name);
            $('[name="portal"]').val(data.portal);
//            $('[name="estu_cedula"]').val(data.estu_cedula);
//            $('[name="carr_nombre"]').val(data.carr_id);
            $('#modal_form').modal('show'); // show bootstrap modal when complete loaded
            $('.modal-title').text('Edit'); // Set title to Bootstrap modal title
if(data.status=='on'){
$('[name="status"]').prop( "checked", true );
}else{
    $('[name="status"]').prop( "checked", false );
}
//            
//            
//            $.getJSON("http://localhost/templa3/index.php/distributors/get_courses", function (results) {
//                var options = $("#dropdownID");
//
//                $.each(results, function (key) {
//
//                    options.append(new Option(results[key].carr_nombre, results[key].carr_id));
//
//                });
//
//
//            });



        },
        error: function (jqXHR, textStatus, errorThrown)
        {
            alert('Error getting data from ajax');
        }
    });
}

function reloadTable()
{
    table.ajax.reload(null, false); //reload datatable ajax
    $('#deleteList').hide();
}

function save()
{
    $('#btnSave').text('saving...'); //change button text
    $('#btnSave').attr('disabled', true); //set button disable
    var url;

    if (save_method == 'add') {
        url = baseUrl + "index.php/distributors/ajax_add";
    } else {
        url = baseUrl + "index.php/distributors/ajax_update";
    }

    // ajax adding data to database
    $.ajax({
        url: url,
        type: "POST",
        data: $('#form').serialize(),
        dataType: "JSON",
        success: function (data)
        {

            if (data.status) //if success close modal and reload ajax table
            {
                $('#modal_form').modal('hide');
                reloadTable();
            } else
            {
                for (var i = 0; i < data.inputerror.length; i++)
                {
                    $('[name="' + data.inputerror[i] + '"]').parent().parent().addClass('has-error'); //select parent twice to select div form-group class and add has-error class
                    $('[name="' + data.inputerror[i] + '"]').next().text(data.error_string[i]); //select span help-block class set text error string
                }
            }
            $('#btnSave').text('Save'); //change button text
            $('#btnSave').attr('disabled', false); //set button enable


        },
        error: function (jqXHR, textStatus, errorThrown)
        {
            alert('Error adding / update data');
            $('#btnSave').text('Save'); //change button text
            $('#btnSave').attr('disabled', false); //set button enable

        }
    });
}

function deleteEstudiante(id)
{
    if (confirm('Are you sure to remove the Distributor?'))
    {
        // ajax delete data to database
        $.ajax({
            url: baseUrl + "index.php/distributors/ajax_delete/" + id,
            type: "POST",
            dataType: "JSON",
            success: function (data)
            {
                //if success reload ajax table
                $('#modal_form').modal('hide');
                reloadTable();
            },
            error: function (jqXHR, textStatus, errorThrown)
            {
                alert('Error deleting data');
            }
        });

    }
}

function deleteList()
{
    var list_id = [];
    $(".data-check:checked").each(function () {
        list_id.push(this.value);
    });
    if (list_id.length > 0)
    {
        if (confirm('Are you sure delete this ' + list_id.length + ' data?'))
        {
            $.ajax({
                type: "POST",
                data: {id: list_id},
                url: baseUrl + "index.php/distributors/ajax_list_delete",
                dataType: "JSON",
                success: function (data)
                {
                    if (data.status)
                    {
                        reloadTable();
                    } else
                    {
                        alert('Failed.');
                    }

                },
                error: function (jqXHR, textStatus, errorThrown)
                {
                    alert('Error deleting data');
                }
            });
        }
    } else
    {
        alert('no data selected');
    }
}


