
var getUrl = window.location;
var baseUrl = getUrl.protocol + "//" + getUrl.host + "/" + getUrl.pathname.split('/')[1] + "/";
var save_method; //for save method string
var table;
//
//$(document).ready(function () {

//datatables
$(document).ready(function () {
    table = $('#table').DataTable({
        'processing': true,
        'serverSide': true,
        'serverMethod': 'post',

        'ajax': {
            'url': 'https://newmkapp16.xyz/panel/index.php/portals/filter',
            'data': function (data) {
                // Read values
                var last_login = $('#searchByLastLogin').val();
                var portal_name = $('#portal_name').val();
                var ip_address = $('#searchByIPAddress').val();
                var distributor = $('#searchByDistributor').val();
                var portal = $('#searchByCurrentPortal').val();

                //  searchByIPAddress

                // Append to data
                data.searchByIPAddress = ip_address;
                data.searchByLastLogin = last_login;
                data.portal_name = portal_name;
                data.searchByDistributor = distributor;
                data.searchByCurrentPortal = portal;
            }
        },
        'columns': [

            {data: 'id'},
            {data: 'new_id'},
             {data: 'portal_name'},
            {data: 'current_portal'},
//             {data: 'blocked'},
           {data: 'shortcode'},
            {data: 'dist_name'},
            {data: 'actions'}
        ]
    });

    $('#searchByIPAddress').keyup(function () {
        table.draw();
    });

    $('#portal_name').keyup(function () {
        table.draw();
    });

    $('#searchByLastLogin').keyup(function () {
        table.draw();
    });

    $('#searchByDistributor').change(function () {
        table.draw();
    });

    $('#searchByCurrentPortal').change(function () {
        table.draw();
    });

//    });

    //set input/textarea/select event when change value, remove class error and remove text help block
    $("input").change(function () {
        $(this).parent().parent().removeClass('has-error');
        $(this).next().empty();
    });
    $("textarea").change(function () {
        $(this).parent().parent().removeClass('has-error');
        $(this).next().empty();
    });
    $("select").change(function () {
        $(this).parent().parent().removeClass('has-error');
        $(this).next().empty();
    });

    //check all
    $("#check-all").click(function () {
        $(".data-check").prop('checked', $(this).prop('checked'));
        showBottomDelete();
    });



});

function showBottomDelete()
{
    var total = 0;

    $('.data-check').each(function ()
    {
        total += $(this).prop('checked');
    });

    if (total > 0) {
        $('#deleteList').show();
        $('#blockList').show();

        $('#updateList').show();
        $('#apk_link').show();
        $('#ActionsTable').show();
        $('#activateList').show();
        
        



    } else {
        $('#deleteList').hide();
        $('#blockList').hide();
        $('#updateList').hide();
        $('#apk_link').hide();
        $('#ActionsTable').hide();
        $('#activateList').hide();
    }
}

function addPortal()
{
    save_method = 'add';
    $('#form')[0].reset(); // reset form on modals
    $('.form-group').removeClass('has-error'); // clear error class
    $('.help-block').empty(); // clear error string
    $('#modal_form').modal('show'); // show bootstrap modal
//    $('.modal-title').text('Add Device'); // Set Title to Bootstrap modal title
}

function editPortal(id)
{
    save_method = 'update';
    $('#form')[0].reset(); // reset form on modals
    $('.form-group').removeClass('has-error'); // clear error class
    $('.help-block').empty(); // clear error string

    //Ajax Load data from ajax
    $.ajax({
        url: baseUrl + "index.php/portals/ajax_edit/" + id,
        type: "GET",
        dataType: "JSON",
        success: function (data)
        {

            $('[name="id"]').val(data.id);
            $('[name="portal_name"]').val(data.portal_name);
            $('[name="portal_address"]').val(data.current_portal);
            $('[name="distributor"]').val(data.dist_id);
            $('[name="short_code"]').val(data.shortcode);
//            $('[name="estu_cedula"]').val(data.estu_cedula);
//            $('[name="carr_nombre"]').val(data.carr_id);
            $('#modal_form_edit').modal('show'); // show bootstrap modal when complete loaded
            $('.modal-title').text('Edit'); // Set title to Bootstrap modal title
            if (data.status == 'on') {
                $('[name="status"]').prop("checked", true);
            } else {
                $('[name="status"]').prop("checked", false);
            }
//            
//            
//            $.getJSON("http://localhost/templa3/index.php/portals/get_courses", function (results) {
//                var options = $("#dropdownID");
//
//                $.each(results, function (key) {
//
//                    options.append(new Option(results[key].carr_nombre, results[key].carr_id));
//
//                });
//
//
//            });



        },
        error: function (jqXHR, textStatus, errorThrown)
        {
            alert('Error getting data from ajax');
        }
    });
}






function changePortal(id)
{
    save_method = 'update';
    $('#form')[0].reset(); // reset form on modals
    $('.form-group').removeClass('has-error'); // clear error class
    $('.help-block').empty(); // clear error string

    //Ajax Load data from ajax
    $.ajax({
        url: baseUrl + "index.php/portals/get_portals/" + id,
        type: "GET",
        dataType: "JSON",
        success: function (data)
        {

            $('[name="device_id"]').val(data.id);
            $('[name="mac_id"]').val(data.macid);
            $('[name="portal"]').val(data.portal_id);
//            $('[name="estu_cedula"]').val(data.estu_cedula);
//            $('[name="carr_nombre"]').val(data.carr_id);
            $('#modal_form_change_portal').modal('show'); // show bootstrap modal when complete loaded
            $('.modal-title').text('Edit'); // Set title to Bootstrap modal title
            if (data.status == 'on') {
                $('[name="status"]').prop("checked", true);
            } else {
                $('[name="status"]').prop("checked", false);
            }
//            
//            
//            $.getJSON("http://localhost/templa3/index.php/portals/get_courses", function (results) {
//                var options = $("#dropdownID");
//
//                $.each(results, function (key) {
//
//                    options.append(new Option(results[key].carr_nombre, results[key].carr_id));
//
//                });
//
//
//            });



        },
        error: function (jqXHR, textStatus, errorThrown)
        {
            alert('Error getting data from ajax');
        }
    });
}








function reloadTable()
{
//    alert(table);
    table.ajax.reload(null, false); //reload datatable ajax
    $('#deleteList').hide();
    $('#blockList').hide();
    $('#updateList').hide();
    $('#apk_link').hide();
    $('#ActionsTable').hide();
    $('#activateList').hide();
}

function save()
{
    //  alert('i am here');
    $('#btnSave').text('saving...'); //change button text
    $('#btnSave').attr('disabled', true); //set button disable
    var url;

    if (save_method == 'add') {
        url = baseUrl + "index.php/portals/ajax_add";
    } else {
        url = baseUrl + "index.php/portals/ajax_update";
    }

    // ajax adding data to database
    $.ajax({
        url: url,
        type: "POST",
        data: $('#form').serialize(),
        dataType: "JSON",
        success: function (data)
        {

            if (data.status) //if success close modal and reload ajax table
            {
                // alert('i am here');
                $('#modal_form').modal('hide');
                reloadTable();
            } else
            {
                for (var i = 0; i < data.inputerror.length; i++)
                {
                    $('[name="' + data.inputerror[i] + '"]').parent().parent().addClass('has-error'); //select parent twice to select div form-group class and add has-error class
                    $('[name="' + data.inputerror[i] + '"]').next().text(data.error_string[i]); //select span help-block class set text error string
                }
            }
            $('#btnSave').text('Save'); //change button text
            $('#btnSave').attr('disabled', false); //set button enable


        },
        error: function (jqXHR, textStatus, errorThrown)
        {
            alert('Device already exists in the portals table.');
            $('#btnSave').text('Save'); //change button text
            $('#btnSave').attr('disabled', false); //set button enable

        }
    });
}



function save_portal()
{
    //  alert('i am here');
    $('#btnSave').text('saving...'); //change button text
    $('#btnSave').attr('disabled', true); //set button disable
    var url;

    if (save_method == 'add') {
        url = baseUrl + "index.php/portals/ajax_add";
    } else {
        url = baseUrl + "index.php/portals/ajax_update";
    }

    // ajax adding data to database
    $.ajax({
        url: url,
        type: "POST",
        data: $('#form_edit_portal').serialize(),
        dataType: "JSON",
        success: function (data)
        {

            if (data.status) //if success close modal and reload ajax table
            {
                $('#modal_form_edit').modal('hide');
                reloadTable();
            } else
            {
                for (var i = 0; i < data.inputerror.length; i++)
                {
                    $('[name="' + data.inputerror[i] + '"]').parent().parent().addClass('has-error'); //select parent twice to select div form-group class and add has-error class
                    $('[name="' + data.inputerror[i] + '"]').next().text(data.error_string[i]); //select span help-block class set text error string
                }
            }
            $('#btnSave').text('Save'); //change button text
            $('#btnSave').attr('disabled', false); //set button enable


        },
        error: function (jqXHR, textStatus, errorThrown)
        {
            alert('Error adding / update data');
            $('#btnSave').text('Save'); //change button text
            $('#btnSave').attr('disabled', false); //set button enable

        }
    });
}



function save_change_portal()
{
    $('#btnSave').text('saving...'); //change button text
    $('#btnSave').attr('disabled', true); //set button disable
    var url;

    if (save_method == 'add') {
        url = baseUrl + "index.php/portals/ajax_add";
    } else {
        url = baseUrl + "index.php/portals/ajax_update_change_portal";
    }

    // ajax adding data to database
    $.ajax({
        url: url,
        type: "POST",
        data: $('#form_change_portal').serialize(),
        dataType: "JSON",
        success: function (data)
        {

            if (data.status) //if success close modal and reload ajax table
            {
                $('#modal_form_change_portal').modal('hide');
                reloadTable();
            } else
            {
                for (var i = 0; i < data.inputerror.length; i++)
                {
                    $('[name="' + data.inputerror[i] + '"]').parent().parent().addClass('has-error'); //select parent twice to select div form-group class and add has-error class
                    $('[name="' + data.inputerror[i] + '"]').next().text(data.error_string[i]); //select span help-block class set text error string
                }
            }
            $('#btnSave').text('Save'); //change button text
            $('#btnSave').attr('disabled', false); //set button enable


        },
        error: function (jqXHR, textStatus, errorThrown)
        {
            alert('Error adding / update data');
            $('#btnSave').text('Save'); //change button text
            $('#btnSave').attr('disabled', false); //set button enable

        }
    });
}

function deleteEstudiante(id)
{

    random_code = 3232;
    val = prompt("Please enter this verification code to proceed " + random_code, '');
    // alert(val);

    if (random_code == val)
    {

        // ajax delete data to database
        $.ajax({
            url: baseUrl + "index.php/portals/ajax_delete/" + id,
            type: "POST",
            dataType: "JSON",
            success: function (data)
            {
                //if success reload ajax table
                $('#modal_form').modal('hide');
                reloadTable();
            },
            error: function (jqXHR, textStatus, errorThrown)
            {
                alert('Error deleting data');
            }
        });

    } else {
        alert('Device is not deleted ');
    }
}


function Block_Device(id)
{
    if (confirm('Are you sure to block the Device?'))
    {
        // ajax delete data to database
        $.ajax({
            url: baseUrl + "index.php/portals/ajax_block/" + id,
            type: "POST",
            dataType: "JSON",
            success: function (data)
            {
                //if success reload ajax table
                $('#modal_form').modal('hide');
                reloadTable();
            },
            error: function (jqXHR, textStatus, errorThrown)
            {
                alert('Error deleting data');
            }
        });

    }
}



function deleteList()
{
    var list_id = [];
    $(".data-check:checked").each(function () {
        list_id.push(this.value);
    });
    if (list_id.length > 0)
    {
        if (confirm('Are you sure delete this ' + list_id.length + ' data?'))
        {
            $.ajax({
                type: "POST",
                data: {id: list_id},
                url: baseUrl + "index.php/portals/ajax_list_delete",
                dataType: "JSON",
                success: function (data)
                {
                    if (data.status)
                    {
                        reloadTable();
                    } else
                    {
                        alert('Failed.');
                    }

                },
                error: function (jqXHR, textStatus, errorThrown)
                {
                    alert('Error deleting data');
                }
            });
        }
    } else
    {
        alert('no data selected');
    }
}












function SendupdateList()
{

    var list_id = [];
    var portal_action_id = $('#portal_action_id').val();
    var on_air_mac_action = $('#on_air_mac_action').val();
    var distributor_action_id = $('#distributor_action_id').val();


    $(".data-check:checked").each(function () {
        list_id.push(this.value);

    });
    if (list_id.length > 0)
    {
        if (confirm('Are you sure update this ' + list_id.length + ' data?'))
        {
            $.ajax({
                type: "POST",
                data: {
                    id: list_id,
                    portal_id: portal_action_id,
                    distributor_id: distributor_action_id,
                    on_air_mac: on_air_mac_action
                },
                url: baseUrl + "index.php/portals/ajax_list_update",
                dataType: "JSON",
                success: function (data)
                {
                    if (data.status)
                    {
                        reloadTable();
                    } else
                    {
                        alert('Failed.');
                    }

                },
                error: function (jqXHR, textStatus, errorThrown)
                {
                    alert('Error deleting data');
                }
            });
        }
    } else
    {
        alert('no data selected');
    }
}



function BlockList()
{

    var list_id = [];
//    var portal_action_id = $('#portal_action_id').val();
//    var on_air_mac_action = $('#on_air_mac_action').val();
//    var distributor_action_id = $('#distributor_action_id').val();


    $(".data-check:checked").each(function () {
        list_id.push(this.value);

    });
    if (list_id.length > 0)
    {
        if (confirm('Are you sure block this ' + list_id.length + ' data?'))
        {
            $.ajax({
                type: "POST",
                data: {
                    id: list_id
//                    portal_id: portal_action_id,
//                    distributor_id: distributor_action_id,
//                    on_air_mac: on_air_mac_action
                },
                url: baseUrl + "index.php/portals/block_list",
                dataType: "JSON",
                success: function (data)
                {
                    if (data.status)
                    {
                        reloadTable();
                    } else
                    {
                        alert('Failed.');
                    }

                },
                error: function (jqXHR, textStatus, errorThrown)
                {
                    alert('Error deleting data');
                }
            });
        }
    } else
    {
        alert('no data selected');
    }
}






function ActivateList()
{

    var list_id = [];
//    var portal_action_id = $('#portal_action_id').val();
//    var on_air_mac_action = $('#on_air_mac_action').val();
//    var distributor_action_id = $('#distributor_action_id').val();


    $(".data-check:checked").each(function () {
        list_id.push(this.value);

    });
    if (list_id.length > 0)
    {
        if (confirm('Are you sure activate this ' + list_id.length + ' data?'))
        {
            $.ajax({
                type: "POST",
                data: {
                    id: list_id
//                    portal_id: portal_action_id,
//                    distributor_id: distributor_action_id,
//                    on_air_mac: on_air_mac_action
                },
                url: baseUrl + "index.php/portals/activate_list",
                dataType: "JSON",
                success: function (data)
                {
                    if (data.status)
                    {
                        reloadTable();
                    } else
                    {
                        alert('Failed.');
                    }

                },
                error: function (jqXHR, textStatus, errorThrown)
                {
                    alert('Error deleting data');
                }
            });
        }
    } else
    {
        alert('no data selected');
    }
}


